Bug 1087756 - libzip-devel-1.5.0-1.1 advertises broken path in its pkgconfig file
libzip-devel-1.5.0-1.1 advertises broken path in its pkgconfig file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Petr Gajdos
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-02 14:23 UTC by Peter Simons
Modified: 2018-04-13 13:38 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Simons 2018-04-02 14:23:41 UTC
libzip-devel-1.5.0-1.1 advertises a broken path in its pkgconfig file:

> $ pkg-config --libs libzip    opensuse-haskell/git/master 
> -L/usr//usr/lib64 -lzip -lbz2 -lz

Builds that actually try to use that path fail on OBS:

> RPM build errors:
> calling /usr/lib/rpm/brp-suse.d/brp-35-rpath
> ERROR: RPATH "/usr//usr/lib64" on /home/abuild/rpmbuild/BUILDROOT/ghc-LibZip-1.0.1-3.2.x86_64/usr/lib64/ghc-8.2.2/LibZip-1.0.1-FiMsivX6B9d73v5MxyCtdL/libHSLibZip-1.0.1-FiMsivX6B9d73v5MxyCtdL-ghc8.2.2.so is not allowed
> error: Bad exit status from /var/tmp/rpm-tmp.aD2iQ3 (%install)
Comment 1 Ondřej Súkup 2018-04-02 15:11:13 UTC
fix in SR#593008
Comment 3 Swamp Workflow Management 2018-04-12 10:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1087756) was mentioned in
https://build.opensuse.org/request/show/595937 Factory / ghc-bindings-libzip
Comment 4 Peter Simons 2018-04-13 13:08:55 UTC
Ping? Can this bug be closed?
Comment 5 Petr Gajdos 2018-04-13 13:27:40 UTC
Pong, you filled the bug, you fix the bug, I think it can.
Comment 6 Peter Simons 2018-04-13 13:38:10 UTC
Done.